> For the complete documentation index, see [llms.txt](https://docs.logilica.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.logilica.com/advanced/datastudio-data-model/models/coveragefile.md).

# Coverage File

## Description

Metrics relating to test coverage by file.

## Measures

| Name                               | Title                   | Description                                |
| ---------------------------------- | ----------------------- | ------------------------------------------ |
| `CoverageFile.count`               | Count                   | Counts the coverage file entries.          |
| `CoverageFile.minTotalLinesOfCode` | Min Total Lines of Code | Smallest total lines of code covered.      |
| `CoverageFile.maxTotalLinesOfCode` | Max Total Lines of Code | Largest total line of code covered.        |
| `CoverageFile.avgTotalLinesOfCode` | Avg Total Lines of Code | Average lines of code covered.             |
| `CoverageFile.minHits`             | Min Hits                | Minimum number of fully covered lines.     |
| `CoverageFile.maxHits`             | Max Hits                | Maximum number of fully covered lines.     |
| `CoverageFile.avgHits`             | Avg Hits                | Average number of fully covered lines.     |
| `CoverageFile.minPartials`         | Min Partials            | Minimum number of partially covered lines. |
| `CoverageFile.maxPartials`         | Max Partials            | Maximum number of partially covered lines. |
| `CoverageFile.avgPartials`         | Avg Partials            | Average number of partially covered lines. |
| `CoverageFile.minMiss`             | Min Miss                | Minimum number of uncovered lines.         |
| `CoverageFile.maxMiss`             | Max Miss                | Maximum number of uncovered lines.         |
| `CoverageFile.avgMiss`             | Avg Miss                | Average number of uncovered lines.         |
| `CoverageFile.minCoveragePercent`  | Min Coverage Percent    | Minimum coverage percentage.               |
| `CoverageFile.maxCoveragePercent`  | Max Coverage Percent    | Maximum coverage percentage.               |
| `CoverageFile.avgCoveragePercent`  | Avg Coverage Percent    | Average coverage percentage.               |

## Dimensions

| Name                            | Title               | Description                                                |
| ------------------------------- | ------------------- | ---------------------------------------------------------- |
| `CoverageFile.id`               | Id                  |                                                            |
| `CoverageFile.commitHash`       | Commit Hash         | The commit hash corresponding to the coverage file.        |
| `CoverageFile.path`             | Path                | The file path of the coverage file.                        |
| `CoverageFile.totalLinesOfCode` | Total Lines of Code | Total number of lines of code in the file.                 |
| `CoverageFile.hits`             | Hits                | Number of lines of code that were covered by tests.        |
| `CoverageFile.partials`         | Partials            | Number of lines that were only partially covered by tests. |
| `CoverageFile.miss`             | Miss                | Number of lines of code that were not covered by tests.    |
| `CoverageFile.coveragePercent`  | Coverage Percent    | Percentage of lines covered by tests in the file.          |

## Connected Cubes

All fields belonging to the following cubes are also reachable from CoverageFile:

* [Contributor](/advanced/datastudio-data-model/models/contributor.md)
* [Team](/advanced/datastudio-data-model/models/team.md)
* [Coverage Commit](/advanced/datastudio-data-model/models/coveragecommit.md)
* [Coverage Custom Fields](/advanced/datastudio-data-model/models/coveragecustomfield.md)
* [Coverage File](/advanced/datastudio-data-model/models/coveragefile.md)
* [Coverage Labels](/advanced/datastudio-data-model/models/coveragelabel.md)
* [Coverage Test Result](/advanced/datastudio-data-model/models/coveragetestresult.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.logilica.com/advanced/datastudio-data-model/models/coveragefile.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
